Subject: Make Value Objects read-only on Doctrine
Description

Any @valueobject should have the readOnly attribute set for Doctrine 2.1, until value objects are supported for real.

When implementing this, update the persistence documentation accordingly (annotations table for Doctrine use).

Associated revisions
Revision 0d37b1c0 - 2011-07-08 16:01 - Karsten Dambekalns

[TASK] Make Value Objects read-only on Doctrine

Since Doctrine has no real value object support, we at least make the
entities read-only now, when they should be value objects.

Change-Id: I68ce48310c24ac2da767e464ad154e8884bf5a9b
Resolves: #27637

History
#1 - 2011-06-27 23:19 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I68ce48310c24ac2da767e464ad154e8884bf5a9b has been pushed to the review server.
It is available at http://review.typo3.org/2937

#2 - 2011-06-27 23:23 - Mr. Hudson

Patch set 2 of change I68ce48310c24ac2da767e464ad154e8884bf5a9b has been pushed to the review server.
It is available at http://review.typo3.org/2937

#3 - 2011-07-04 18:12 - Mr. Hudson

Patch set 3 of change I68ce48310c24ac2da767e464ad154e8884bf5a9b has been pushed to the review server.
It is available at http://review.typo3.org/2937

#4 - 2011-07-08 15:48 - Mr. Hudson
Patch set 4 of change I68ce48310c24ac2da767e464ad154e8884bf5a9b has been pushed to the review server.
It is available at http://review.typo3.org/2937

#5 - 2011-07-08 16:02 - Mr. Hudson

Patch set 5 of change I68ce48310c24ac2da767e464ad154e8884bf5a9b has been pushed to the review server.
It is available at http://review.typo3.org/2937

#6 - 2011-07-08 16:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0d37b1c09df06590e48c0fd5e44278944ee4750b.

#7 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
